Subject: Re: bug#46781: read-buffer-completion-ignore-case: who would still be looking for m when they typed M?

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sun, 28 Feb 2021 07:38:33 +0800

retitle 46781 read-buffer-completion-ignore-case: who would still be looking for m when they typed M?
thanks
Oops, for the entire bug I meant to talk about
buffer names, not file names! Sorry.

read-buffer-completion-ignore-case is a variable defined in ‘C source code’.
Its value is t
Original value was nil

So how did young Dan, usually sharp in the wits, ever make such a
blunder?

Well, one day he was innocently looking up in the manual
(Info-index "read-buffer-completion-ignore-case")
when the forces of evil linked it to the same place that
(Info-index "read-file-name-completion-ignore-case")
goes, instead of seven lines below it!!
Ever trustful, young Dan didn't notice the Toyota XLE he had intended to
discuss was now switched for a Toyota XLD, so he ended up discussing
that instead.

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> 積丹尼 Dan Jacobson <[email-masked]> writes:

>> E.g., I have Makefile and murmurfile. Well if I set
>> read-file-name-completion-ignore-case to nil and type M TAB then of course I
>> am only wanting to complete Makefile.

LI> Did you mean "if I set read-file-name-completion-ignore-case to t" here?